# Tarfile created using git
# git clone git://github.com/jpobst/Pinta.git
# cd Pinta
# git archive --format=tar --prefix=%{name}-%{version}/ %{gitversion} | bzip2 > ~/%{name}-%{version}-%{gitdate}.tar.bz2
%global gitdate 20100227
%global gitversion b2339f7
%global tarfile %{name}-%{version}-%{gitdate}.tar.bz2

Name:           pinta
Version:        0.1
Release:        1.%{gitdate}git%{?dist}
Summary:        Simple painting for Gtk

Group:          Applications/Multimedia
# the code is licensed under the MIT license while the icons are licensed as CC-BY
License:        MIT and CC-BY
URL:            http://www.pinta-project.com/
Source0:        %{tarfile}
Source1:        pinta
Source2:        pinta.desktop
Source3:        applications-graphics.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-devel
BuildRequires:  gtk-sharp2-devel
BuildRequires:  desktop-file-utils

%description
A drawing/editing program with the goal to provide a
simplified alternative for casual users.


%prep
%setup -q


%build
xbuild Pinta.sln


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}
cp bin/* $RPM_BUILD_ROOT%{_libdir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/pixmaps

desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE2}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc license-mit.txt license-pdn.txt readme.txt
%{_bindir}/pinta
%{_libdir}/pinta
%{_datadir}/applications/pinta.desktop
%{_datadir}/pixmaps/applications-graphics.png


%changelog
* Mon Feb 27 2010 Sebastian Dziallas <sebastian@when.com> - 0.1-1.20100227git
- initial packaging
